## gate.util
Class NameComparator

    java.lang.Object
      |
      +--gate.util.NameComparator

All Implemented Interfaces:
  Comparator

public class NameComparator
extends Object
implements Comparator

Compares `NameBearer`s by name (string comparation)

Constructor Summary
`NameComparator()`

Method Summary
`int` `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### NameComparator

    public NameComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`